;;;                  -*- Mode: Lisp; Package: CL-USER -*-                   ;;;
;;; ----------------------------------------------------------------------- ;;;
;;; File:         boomsapp.lsp                                              ;;;
;;; Description:  BOOMS standalone image creating                           ;;;
;;; Author:       Eli Barzilay - eli@cs.bgu.ac.il                           ;;;
;;; Date:         25-8-96                                                   ;;;
;;; Package:      CL-USER                                                   ;;;
;;; ----------------------------------------------------------------------- ;;;

#|

This file loades the BOOMS system:
+-----------------------------------------------------------------------------+
|                                                                             |
| /######   /#####   /#####  /##     /##  /#####                              |
| /##///## /##///## /##///## /###   /### /##///##                        /--- |
| /##  /## /##  /## /##  /## /#### /#### /##  ///          /------/     /     |
| /######/ /##  /## /##  /## /##/####/## //#####          /      /     /      |
| /##///## /##  /## /##  /## /##//##//##  /////##        /------/ __  /       |
| /##  /## /##  /## /##  /## /## /// /##      /##   __  /  __  / /  \/        |
| /##  /## /##  /## /##  /## /##     /## /##  /##  /  \/  /  \/  \__/         |
| /######/ //#####/ //#####/ /##     /## //#####/  \__/   \__/                |
| ///////   //////   //////  ///     ///  //////                              |
|                                                                             |
|                   Booms Object Oriented Music Structures.                   |
|Eli Barzilay:                                                   Maze is Life!|
+-----------------------------------------------------------------------------+

|#


;;;-------------------------------------------------------------------------;;;
;;;  B O O M S  loading                                                     ;;;
;;;-------------------------------------------------------------------------;;;

(setq *load-verbose* nil)

;;; Handle directories.
(set-current-directory "C:\\ALLEGRO\\BOOMS")
(setf *default-pathname-defaults* #P"C:\\ALLEGRO\\BOOMS\\")
(setf *load-pathname-types* (list #p".fsl" #p".lsp"))

;;; Load the system.
(load "booms")


;;;-------------------------------------------------------------------------;;;
;;;  B O O M S  standalone image                                            ;;;
;;;-------------------------------------------------------------------------;;;

;;; Create the image.
(acl::create-standalone-application
 'booms
 :image "c:\\allegro\\booms\\booms.img"
 :image-part-size nil
 :interruptible t
 :no-dialog-on-errors nil
 :remove-format nil
 :remove-printer nil
 :remove-reader nil
 :remove-clos-lambda-lists nil
 :package-directives '((:allegro          . :keep)
                       (:c-types          . :keep)
                       (:common-graphics  . :keep)
                       (:common-lisp      . :keep)
                       (:common-lisp-user . :keep)
                       (:comtab           . :keep)
                       (:keyword          . :keep)
                       (:pc               . :keep)
                       (:printer          . :keep)
                       (:system           . :keep)
                       (:text-edit        . :keep)
                       (:windows          . :keep)
                       (:misc             . :keep)
                       (:midi-lib         . :keep)
                       (:play             . :keep)
                       (:network          . :keep)
                       (:music            . :keep)
                       (:notes            . :keep)
                       (:geometry         . :keep)
                       (:booms-app        . :keep)
                       )
 :classes-to-remove 'nil)
